---
updatedAt: 2026-05-28T07:31:32.000Z
agentTools:
  projectIndex: https://docs.praxis.tech/llms.txt
---

# Get Customer Cards

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "API",
    "version": "1.3",
    "description": "Praxis Open API 3.0.2 specification document.\nThis contains all the APIs created by Praxis Tech."
  },
  "servers": [
    {
      "url": "https://gw.praxisgate.com",
      "description": "Live(PraxisGate)"
    },
    {
      "url": "https://pci-gw-test.praxispay.com",
      "description": "Sandbox"
    }
  ],
  "paths": {
    "/agent/get-customer-cards": {
      "summary": "This specification provides the details to get customer cards",
      "post": {
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/payload_get_customer_cards_requestData"
              },
              "examples": {
                "get customer cards": {
                  "value": {
                    "merchant_id": "Test-Integration-Merchant",
                    "application_key": "Sandbox",
                    "cid": "102544",
                    "version": "1.3",
                    "timestamp": 1590613956,
                    "transaction_type": "payout"
                  }
                }
              }
            }
          },
          "required": true
        },
        "tags": [
          "Manage Customer Payment Methods"
        ],
        "parameters": [
          {
            "name": "gt-authentication",
            "schema": {
              "$ref": "#/components/schemas/property_req_header_signature_params_common"
            },
            "in": "header",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/200-ok-get-customer-cards-response-data"
          },
          "400": {
            "$ref": "#/components/responses/common-400-bad-request-missing-sign-response-data"
          },
          "403": {
            "$ref": "#/components/responses/common-403-forbidden-response-data"
          }
        },
        "operationId": "getCustomerCards",
        "summary": "Get Customer Cards"
      }
    }
  },
  "components": {
    "schemas": {
      "property_common_base_properties": {
        "required": [
          "merchant_id",
          "application_key",
          "version",
          "timestamp"
        ],
        "type": "object",
        "properties": {
          "merchant_id": {
            "$ref": "#/components/schemas/merchant_id"
          },
          "application_key": {
            "$ref": "#/components/schemas/application_key"
          },
          "version": {
            "$ref": "#/components/schemas/version"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "application_key": {
        "description": "Identifier of your application (website).",
        "maxLength": 32,
        "type": "string",
        "example": "Sandbox-Application"
      },
      "version": {
        "description": "API version.",
        "maxLength": 3,
        "type": "string",
        "example": "1.3"
      },
      "timestamp": {
        "description": "Request time (unix timestamp, seconds).",
        "maxLength": 11,
        "type": "integer",
        "example": "1755853580"
      },
      "cid": {
        "description": "Unique customer id in your system.\r\n\r\n*__Note:__* *Personally Identifiable Information (PII), such as email addresses, is strictly forbidden. If your user identifier contains any PII, you must hash or encrypt it before sending it to the API.*",
        "maxLength": 50,
        "type": "string",
        "example": "1020"
      },
      "gateway": {
        "description": "Gateway doing the processing.",
        "maxLength": 32,
        "type": "string"
      },
      "card_number": {
        "description": "Customer card number (4444 44** **** 1233)",
        "maxLength": 19,
        "type": "string"
      },
      "card_exp": {
        "description": "Customer card exp (10/2023)",
        "maxLength": 8,
        "type": "string"
      },
      "property_common_card_data_properties": {
        "description": "Card Data properties - applicable for sale, payout, authorization\r\n\r\n*__Note:__* *This is NON-PCI compliant approach and we recommend to use Encrypted Card Data object*",
        "required": [
          "card_number",
          "card_exp"
        ],
        "type": "object",
        "properties": {
          "card_number": {
            "$ref": "#/components/schemas/card_number"
          },
          "card_exp": {
            "$ref": "#/components/schemas/card_exp"
          }
        }
      },
      "card_token": {
        "description": "HASH value of customer's card.\n\n*__Note:__* *This field must not be sent in any subsequent Merchant Initiated Transaction (MIT) requests.*",
        "maxLength": 32,
        "type": "string",
        "example": "af7d1b07c48fbeff116b2bb3e84fb4c9"
      },
      "card_type": {
        "description": "Customer card type (AMEX, DinersClub, Discover, Electron, JCB, Maestro, MasterCard, Mir, VISA)",
        "maxLength": 10,
        "type": "string"
      },
      "card_issuer_name": {
        "description": "Customer card issuing bank name",
        "maxLength": 255,
        "type": "string"
      },
      "card_issuer_country": {
        "description": "Customer card issuing bank country",
        "maxLength": 2,
        "type": "string"
      },
      "card_holder": {
        "description": "The cardholder name field will be sent to the CRM in the notification only if the setting in the Atlas BO is enabled. Otherwise, the key will not be sent at all (not 0 / null / empty string).",
        "maxLength": 255,
        "type": "string"
      },
      "description": {
        "description": "Accurate description of the result. Return the actual error for any exception as it helps to diagnose issues in production.\r\n",
        "type": "string",
        "maxLength": 256
      },
      "status": {
        "description": "API communication status - for transaction processing status please refer to `transaction.transaction.status`\r\n- 0 if the request was successful.\r\n- Negative integer if internal server/network error occurs.\r\n- Positive integer if application/logical error occurs. Refer [API Status & Error Codes](https://docs.praxis.tech/docs/api-status-and-error-codes) for more information.",
        "type": "integer"
      },
      "result": {
        "description": "Error result object",
        "required": [
          "code",
          "description"
        ],
        "type": "object",
        "properties": {
          "code": {
            "description": "Error code",
            "type": "string"
          },
          "description": {
            "description": "Error description",
            "type": "string"
          }
        }
      },
      "object_response_400_bad": {
        "description": "Object - 400-Bad request",
        "type": "object",
        "properties": {
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "status": {
            "$ref": "#/components/schemas/status"
          }
        }
      },
      "object_response_403_forbidden": {
        "description": "Object - 403-Forbidden",
        "type": "object",
        "properties": {
          "result": {
            "$ref": "#/components/schemas/result"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "transaction_type": {
        "description": "Transaction type.",
        "maxLength": 16,
        "type": "string"
      },
      "property_common_200_ok_response_properties": {
        "required": [
          "status",
          "description",
          "version",
          "timestamp"
        ],
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/status"
          },
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "version": {
            "$ref": "#/components/schemas/version"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "property_req_header_signature_params_common": {
        "title": "signature",
        "description": "Authentication HTTP header of your outgoing request to the API.\nBelow request parameters should be used for creating signature in request header.\n- `merchant_id`\n- `application_key` \n- `timestamp`\n- `cid`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      },
      "expired": {
        "description": "Payment Link lifetime. The unix epoch timestamp (in seconds) when the login URL will expire (up to 72 hours from now). Used for `payment_link` session types only. If not set, the Payment Link lifetime will default to 15 minutes.",
        "maxLength": 11,
        "type": "integer"
      },
      "payload_get_customer_cards_requestData": {
        "allOf": [
          {
            "$ref": "#/components/schemas/property_common_base_properties"
          },
          {
            "required": [
              "cid"
            ],
            "type": "object",
            "properties": {
              "cid": {
                "$ref": "#/components/schemas/cid"
              },
              "is_verified": {
                "$ref": "#/components/schemas/is_verified"
              }
            }
          }
        ]
      },
      "is_verified": {
        "description": "Shows whether a transaction is processed with first attempt (0) or upon cascade (1)",
        "maximum": 1,
        "type": "integer",
        "enum": [
          0,
          1
        ]
      },
      "object_response_200_ok_get_customer_cards": {
        "description": "200 Successful get available gateways response",
        "type": "object",
        "allOf": [
          {
            "$ref": "#/components/schemas/property_common_200_ok_response_properties"
          },
          {
            "type": "object",
            "properties": {
              "customer_cards": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/property_customer_card"
                }
              }
            }
          }
        ]
      },
      "mit_transactions": {
        "title": "mit",
        "description": "MIT Transactions",
        "required": [
          "type"
        ],
        "type": "object",
        "properties": {
          "trace_id": {
            "$ref": "#/components/schemas/tid"
          },
          "expired_at": {
            "$ref": "#/components/schemas/expired"
          },
          "gateway": {
            "$ref": "#/components/schemas/gateway"
          },
          "transaction_type": {
            "$ref": "#/components/schemas/transaction_type"
          }
        }
      },
      "property_customer_card": {
        "title": "customer card",
        "description": "Card Data properties - applicable for sale, payout, authorization\r\n\r\n*__Note:__* *This is NON-PCI compliant approach and we recommend to use Encrypted Card Data object*",
        "type": "object",
        "allOf": [
          {
            "$ref": "#/components/schemas/property_common_card_data_properties"
          },
          {
            "required": [
              "card_token",
              "card_exp"
            ],
            "type": "object",
            "properties": {
              "card_token": {
                "$ref": "#/components/schemas/card_token"
              },
              "card_type": {
                "$ref": "#/components/schemas/card_type"
              },
              "card_holder": {
                "$ref": "#/components/schemas/card_holder"
              },
              "card_issuer_name": {
                "$ref": "#/components/schemas/card_issuer_name"
              },
              "card_issuer_country": {
                "$ref": "#/components/schemas/card_issuer_country"
              },
              "is_default": {
                "description": "Is default card ?",
                "maximum": 1,
                "type": "integer"
              },
              "mit_transactions": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/mit_transactions"
                }
              }
            }
          }
        ]
      },
      "merchant_id": {
        "description": "Merchant API client account identifier.",
        "maxLength": 50,
        "type": "string",
        "example": "Sandbox-API"
      },
      "tid": {
        "description": "Transaction identifier",
        "maxLength": 11,
        "type": "integer"
      },
      "property_res_header_signature_params_common": {
        "title": "signature",
        "description": "Authentication HTTP header of the incoming response from the API.\nBelow response parameters should be used for validating the signature in response header.\n- `status`\n- `timestamp`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      }
    },
    "responses": {
      "common-403-forbidden-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_403_forbidden"
            },
            "examples": {
              "Access Forbidden": {
                "value": {
                  "result": {
                    "code": "200.300.404",
                    "description": "Access Forbidden, IP:46.199.43.137"
                  },
                  "timestamp": "2025-02-03 13:21:47+0000"
                }
              }
            }
          }
        },
        "description": "Forbidden request - IP address not whitelisted"
      },
      "common-400-bad-request-missing-sign-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_400_bad"
            },
            "examples": {
              "Missing signature": {
                "value": {
                  "status": 400,
                  "description": "GT-Authentication header is missing"
                }
              }
            }
          }
        },
        "description": "Bad request - Missing signature"
      },
      "200-ok-get-customer-cards-response-data": {
        "headers": {
          "external-request-signature": {
            "schema": {
              "$ref": "#/components/schemas/property_res_header_signature_params_common"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_200_ok_get_customer_cards"
            },
            "examples": {
              "success response": {
                "value": {
                  "customer_cards": [
                    {
                      "card_token": "af7d1b07c48fbeff116b2bb3e84fb4c9",
                      "card_number": "491694******1514",
                      "card_holder": "John Doe",
                      "card_exp": "12/2022",
                      "card_type": "VISA",
                      "card_issuer_name": "Random Bank, London",
                      "card_issuer_country": "GB",
                      "is_default": 0,
                      "mit_transactions": [
                        {
                          "expired_at": 16823433429,
                          "trace_id": 10034325235,
                          "gateway": "feBn6ooVgTwEjT4zTdq-5zQZZ18ThFoE",
                          "transaction_type": "authorization"
                        }
                      ]
                    },
                    {
                      "card_token": "c7f9a2c6f4288e8c40f2a6602a64b6742",
                      "card_number": "512124******5468",
                      "card_holder": "Jane Doe",
                      "card_exp": "05/2025",
                      "card_type": "MasterCard",
                      "card_issuer_name": "Central Bank, Cyprus",
                      "card_issuer_country": "CY",
                      "is_default": 1,
                      "mit_transactions": [
                        {
                          "expired_at": 16823432423,
                          "trace_id": 10089231233,
                          "gateway": "87cfb23a8f1e68e162c276b754d9c061",
                          "transaction_type": "sale"
                        }
                      ]
                    }
                  ]
                }
              },
              "failure response": {
                "value": {
                  "status": 0,
                  "description": "Ok",
                  "customer_cards": [],
                  "version": "1.3",
                  "timestamp": 1590611635
                }
              }
            }
          }
        },
        "description": "OK - Successful response"
      }
    }
  }
}
```